#!/bin/bash

if [[ $# -ne 1 ]]
then
	echo ""
	echo "$0 requires a single list-file argument"
	echo ""
	exit 3
fi

LIST_FILE=$1
EXT=".list"

if [ -e ${LIST_FILE} ]
then

	if [[ $LIST_FILE == *${EXT} ]] 
	then
		if mv ${LIST_FILE} ${LIST_FILE}.save; then
			echo ""
			echo "	Disabled soure list ${LIST_FILE}"
			echo ""
		else
			echo ""
			echo "$0 failed, are you root?"
			echo ""
		fi
	else
		echo ""
		echo "  $LIST_FILE does not appear to be an active list file,"
		echo "  it does not have the $EXT extension."
		echo "	Now exiting..."
		echo ""
		exit 1
	fi
else
	echo "  ${LIST_FILE} not found"
	exit 2
fi

